class LocationReleases::PhotosController < ApplicationController
  include LocationReleaseContext

  before_action :set_location_release

  def edit
  end

  def update
    if @location_release.update(location_release_params)
      SetTagsForReleasableJob.perform_later(@location_release)
      redirect_to @location_release.project, notice: t(".notice")
    else
      render :new
    end
  end

  private

  def location_release_params
    params.require(:location_release).permit(photos: [])
  end
end
